Get Audit Logs

Fetch audit logs in a date range, optionally filtered by organization, account, or user.

This method is used to fetch audit logs based on organization, accounts, users, startdate and enddate, tool, actions, and limit.

KeyMeaningMandatoryData Type
organizationOrganization identifier to filter audit logsNostring
accountsAccount identifiers to filter audit logsNoarray
usersUser identifiers to filter audit logsNoarray
startdateStart date from which audit logs are fetched (format: yyyy-MM-dd in UTC)Yesstring
enddateEnd date till which audit logs are fetched (format: yyyy-MM-dd in UTC)Yesstring
limitMaximum number of audit log records to fetchNostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Account.getAuditLogs(
    startdate="2026-01-01",
    enddate="2026-02-01"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json